CSIT-682 Usage of make-verify for vpp-csit-verify jobs
[ci-management.git] / jjb / vpp / include-raw-vpp-build.sh
1 #!/bin/bash
2 # basic build script example
3 set -xe -o pipefail
4 # do nothing but print the current slave hostname
5 hostname
6 export CCACHE_DIR=/tmp/ccache
7 if [ -d $CCACHE_DIR ];then
8     echo $CCACHE_DIR exists
9     du -sk $CCACHE_DIR
10 else
11     echo $CCACHE_DIR does not exist.  This must be a new slave.
12 fi
13
14 echo "cat /etc/bootstrap.sha"
15 if [ -f /etc/bootstrap.sha ];then
16     cat /etc/bootstrap.sha
17 else
18     echo "Cannot find cat /etc/bootstrap.sha"
19 fi
20
21 echo "cat /etc/bootstrap-functions.sha"
22 if [ -f /etc/bootstrap-functions.sha ];then
23     cat /etc/bootstrap-functions.sha
24 else
25     echo "Cannot find cat /etc/bootstrap-functions.sha"
26 fi
27
28 echo "sha1sum of this script: ${0}"
29 sha1sum $0
30
31 echo "CC=${CC}"
32 echo "IS_CSIT_VPP_JOB=${IS_CSIT_VPP_JOB}"
33 # If and only if we are doing verify *after* make verify was made to work
34 # and we are not a CSIT job just building packages, then use make verify,
35 # else use the old extras/vagrant/build.sh
36 if (git log --oneline | grep 37682e1 > /dev/null 2>&1) && \
37         [ "x${IS_CSIT_VPP_JOB}" != "xTrue" ]
38 then
39     echo "Building using \"make verify\""
40     [ "x${DRYRUN}" == "xTrue" ] || make UNATTENDED=yes verify
41 else
42     echo "Building using \"make extras/vagrant/build.sh\""
43     [ "x${DRYRUN}" == "xTrue" ] || make UNATTENDED=yes dpdk-install-dev
44     [ "x${DRYRUN}" == "xTrue" ] || extras/vagrant/build.sh
45 fi
46
47 if [ "x${VPP_REPO}" == "x1" ]; then
48     if [ "x${REBASE_NEEDED}" == "x1" ]; then
49         echo "This patch to vpp is based on an old point in the tree that is likely"
50         echo "to fail verify."
51         echo "PLEASE REBASE PATCH ON THE CURRENT HEAD OF THE VPP REPO"
52         exit 1
53     fi
54 fi
55
56 echo "*******************************************************************"
57 echo "* VPP BUILD SUCCESSFULLY COMPLETED"
58 echo "*******************************************************************"